[Resolvido] Squid3-dev 3.3.8 pkg 2.2 - Problemas na atualização



  • pfSense 2.1-RELEASE (amd64).
    Ao tentar atualizar o Squid, apresentou o seguinte erro no final da página de atualização:
    Parse error: syntax error, unexpected $end in /usr/local/pkg/squid.inc on line 118

    Em System logs só aparece isto:
    php: /pkg_mgr_install.php: Beginning package installation for squid3-dev

    Não foi possível reinstalar de forma alguma e nem remover o pacote, apresentando o mesmo erro squid.inc on line 118.
    O Squid  não aparece em Services Status, também não consta em Services, mas consta como instalado.
    Estou trabalhando sem Proxy. :(

    Como reparar isto, Marcello?



  • johnnybe, o squid.inc tem 2400 linhas. um $end na linha 118 pode indicar que o arquivo chegou corrompido.

    Pode tentar apagar os arquivos squid* da pasta /usr/local/pkg e tentar reinstalar o pacote?

    Instalei ontem e deu tudo certo depois de habilitar o ipv6 e baixar as dependencias.



  • Bastou deletar os arquivos squid* da pasta /usr/local/pkg e reinstalar o pacote.
    O ipv6 já estava habilitado antes. Nem precisei baixar as dependências.
    Squid funcionando normal.
    Obrigado, Marcello!


Log in to reply